{% extends 'base.html.twig' %}

{% block title %}ORA Basket
{% endblock %}
{% block stylesheets %}
<link rel="stylesheet" href="../css/styleproducts.css">

{% endblock %}
{% block body %}

<img src="img/bandeau.jpg" width="100%">

{% if app.user %}
 {% if is_granted('ROLE_ADMIN') %}
  You are connected as Administrator.
 {% endif %}
{% endif %}

<!-- on va parcourir chaque ligne de nom i* du  tableau de products_twig* -->
<div class="pricetype">
    <div>
        <a class="btn btn-dark" href="{{path('products_all', {filter:'Price growing'})}}">Price incr. </a>
    </div>
    <div>
        <a class="btn btn-dark" href="{{path('products_all', {filter:'Price decreasing'})}}">Price desc.</a>
    </div>
</div>
<div class="products">
    <section class="container-fluid">
        <section class="row">
            {% for i in products_twig %}
            <div class="col-4">
                <div class="d-flex justify-content-center align-items-center">
                    <div class="card">
                        <img src="{{asset(i.imagePath)}}" class="card-img-top" alt="image">
                        <div class="card-body">
                            <form action="">
                                <p>{{i.price}} Euros</p>
                                <p>
                                    <select name="size" id="">
                                        {% for size in i.size %}
                                        <option>{{size}}</option>
                                        {% endfor %}
                                    </select>
                                    <select name="" id="">
                                        {% for color in i.color %}
                                        <option>{{color}}</option>
                                        {% endfor %}
                                    </select>
                                    <p>{{i.name}}</p>
                                    {# <button>add need to be fixed</button>  #}
                            </form>
                            <a href="{{path("line_cart", {id:i.id})}}" class="btn btn-secondary">Add Article</a>

                            {% if app.user %}
                             {% if is_granted('ROLE_ADMIN') %}
                              <a href="{{path("add_article")}}" class="btn btn-secondary">Add Article in BDD</a>
                              <a href="{{path("delete_article", {id:i.id})}}" class="btn btn-secondary">Delete Article from
                                BDD</a>
                             {% endif %}
                            {% endif %}

                        </div>
                    </div>
                </div>
            </div>
            {% endfor %}
        </section>
    </section>

</div>











{# <header>
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <a class="navbar-brand" href="#">LOGO ORA</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                    <img src="" alt="">
                </li>
                <li class="nav-item ative">
                    <a class="nav-link" href="{{path('home')}}">Home</a>
                </li>
                <li class="nav-item ative">
                    <a class="nav-link" href="">Shop</a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="">Cart</a>
                </li>
            </ul>
            <form class="form-inline my-2 my-lg-0">
                <a class="btn btn-outline-light my-2 my-sm-0">Login</a>
            </form>
        </div>
    </nav>
</header>




<footer>
    <p class="d-flex justify-content-center bg-dark">©ORA</p>
</footer> #}

{% endblock %}